package org.jeecg.modules.energy.service;


import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.energy.entity.BuElectric;
import org.jeecg.modules.energy.entity.BuVibration;

import java.util.List;

/**
 * @Description: 振动数据表模板
 * @Author: jeecg-boot
 * @Date:   2024-05-09
 * @Version: V1.0
 */
public interface IBuVibrationService extends IService<BuVibration> {

//   BuVibration getBySensorId(String tableName, String sensorId);
   List<BuVibration> getBySensorId(String tableName, String sensorId);
   List<BuVibration> getBySensorIdLimit(String tableName, String sensorId);

   public List<BuVibration> getBuVibrationData();
   public List<BuVibration> getVibrationByStatus();
}
